#include <stdlib.h>
#include <string.h>
#include <assert.h>
#include "mfmod.h"

int
echo(long n, MFMOD_PARAM *p, MFMOD_PARAM *r)
{
	if (n != 1)
		return -1;
	switch (p->type) {
	case mfmod_string:
		r->string = strdup(p->string);
		assert(r->string != NULL);
		break;

	case mfmod_number:
		r->number = p->number;
		break;

	default:
		abort();
	}
	r->type = p->type;
	return 0;
}
		
